org.keycloak.authentication.authenticators.x509

## Class CertificateValidator

- java.lang.Object
- - org.keycloak.authentication.authenticators.x509.CertificateValidator

-     public class CertificateValidator
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Peter Nalyvayko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CertificateValidator.BouncyCastleOCSPChecker`
    `static class` | `CertificateValidator.CertificateValidatorBuilder` Configure Certificate validation
    `static class` | `CertificateValidator.CRLFileLoader`
    `static class` | `CertificateValidator.CRLListLoader`
    `static class` | `CertificateValidator.CRLLoaderImpl`
    `static class` | `CertificateValidator.CRLLoaderProxy`
    `static class` | `CertificateValidator.LdapContext`
    `static class` | `CertificateValidator.OCSPChecker`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CertificateValidator()`
    `protected` | `CertificateValidator(X509Certificate[] certChain, int keyUsageBits, List<String> extendedKeyUsage, boolean cRLCheckingEnabled, boolean cRLDPCheckingEnabled, CertificateValidator.CRLLoaderImpl crlLoader, boolean oCSPCheckingEnabled, CertificateValidator.OCSPChecker ocspChecker, KeycloakSession session, boolean timestampValidationEnabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificateValidator` | `checkRevocationStatus()`
    `CertificateValidator` | `validateExtendedKeyUsage()`
    `CertificateValidator` | `validateKeyUsage()`
    `CertificateValidator` | `validateTimestamps()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateValidator

          public CertificateValidator()

    - #### CertificateValidator

          protected CertificateValidator(X509Certificate[] certChain,
                                         int keyUsageBits,
                                         List<String> extendedKeyUsage,
                                         boolean cRLCheckingEnabled,
                                         boolean cRLDPCheckingEnabled,
                                         CertificateValidator.CRLLoaderImpl crlLoader,
                                         boolean oCSPCheckingEnabled,
                                         CertificateValidator.OCSPChecker ocspChecker,
                                         KeycloakSession session,
                                         boolean timestampValidationEnabled)

  - ### Method Detail

    - #### validateKeyUsage

          public CertificateValidator validateKeyUsage()
                                                throws GeneralSecurityException

      Throws:
        `GeneralSecurityException`

    - #### validateExtendedKeyUsage

          public CertificateValidator validateExtendedKeyUsage()
                                                        throws GeneralSecurityException

      Throws:
        `GeneralSecurityException`

    - #### validateTimestamps

          public CertificateValidator validateTimestamps()
                                                  throws GeneralSecurityException

      Throws:
        `GeneralSecurityException`

    - #### checkRevocationStatus

          public CertificateValidator checkRevocationStatus()
                                                     throws GeneralSecurityException

      Throws:
        `GeneralSecurityException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.